package zephyr.services.gnews;

import java.util.List;

public class GoogleNewsResponse {
	
	private ResponseData responseData;	
	private String responseStatus;
	private String responseDetails;
	
	public void setResponseData(ResponseData responseData) {
		this.responseData = responseData;
	}
	
	public ResponseData getResponseData() {
		return responseData;
	}
	
	public Cursor getCursor() {
		return this.responseData.getCursor();
	}
	
	public String getResponseStatus() { return this.responseStatus; }
	public String getResponseDetails() { return this.responseDetails; }

	static class ResponseData {
		private List<NewsItem> results;
		private Cursor cursor;
		
		public void setResults(List<NewsItem> results) {
			this.results = results;
		}

		public List<NewsItem> getResults() {
			return results;
		}	
		
		public Cursor getCursor(){ return this.cursor; }
	}
	
	static class Cursor {
		private String estimatedResultCount;
		private String moreResultsUrl;
		
		public long getEstimatedResultCount() { return  Long.parseLong(this.estimatedResultCount); }
		public String getMoreResultsUrl() { return this.moreResultsUrl; } 
	}
}