package zephyr.services.gnews;

import java.util.Date;

public class NewsItem {
	private String url;
	private String unescapedUrl;
	private String content;
	private String title;
	private String titleNoFormatting;
	
	private String location;
	private String language;
	
	private String publisher;
	private String publishedDate;
	
	public String getUrl(){ return this.url; }
	public String getUnescapedUrl(){ return this.unescapedUrl; }
	public String getContent(){ return this.content; }
	public String getTitle(){ return this.title; }
	public String getTitleNoFormatting(){ return this.titleNoFormatting; }
	public String getLocation(){ return this.location; }
	public String getLanguage(){ return this.language; }
	public String getPublisher(){ return this.publisher; }
	public Date getPublishedDate(){ return new Date(this.publishedDate); }
}
