package zephyr.services.gnews;

import java.util.List;

public class PMAndroidNewsList {
	private ServiceResponse svcResponse;
	
	//private int currentPage;
	//private int noOfPages;
	private NewsItem currentNews;
	
	private List<NewsItem> pageNewsCollection;
	
	public PMAndroidNewsList(ServiceResponse svcRes){
		this.svcResponse=svcRes;
		this.pageNewsCollection=svcRes.getNewsList();
		//this.currentPage=pageno;
		//this.noOfPages=noOfPages;
	}
	
	public int getCurrentPageNo() { return this.svcResponse.getPageNo(); }
	public int getNoOfPages() { return this.svcResponse.getNoOfPages(); }
	public NewsItem getNewsAt(int position){ return this.pageNewsCollection.get(position); }
	public List<NewsItem> getPageNews() { return this.svcResponse.getNewsList(); }
	
	public ServiceResponse getServiceResponse() { return this.svcResponse; }
}
